Loading...
Searching...
No Matches
VertexNormalOp Class Reference

TBB body object for threaded vertex normal generation. More...

`#include <openvdb_houdini/GeometryUtil.h>`

## Public Member Functions

| VertexNormalOp (GU_Detail &, const GA_PrimitiveGroup *interiorPrims=nullptr, float angle=0.7f)
void | operator() (const GA_SplittableRange &) const

## Detailed Description

TBB body object for threaded vertex normal generation.

Averages face normals from all similarly oriented primitives, that share the same vertex-point, to maintain sharp features.

## Constructor & Destructor Documentation

## VertexNormalOp()

VertexNormalOp | ( | GU_Detail & | ,
|  | const GA_PrimitiveGroup * | interiorPrims = nullptr,
|  | float | angle = 0.7f )

## Member Function Documentation

## operator()()

void operator() | ( | const GA_SplittableRange & |  | ) | const